com.jscape.inet.sftp.events

## Class SftpRenameFileEvent

- java.lang.Object
- - com.jscape.inet.sftp.events.SftpEvent
  - - com.jscape.inet.sftp.events.SftpRenameFileEvent

-     public class SftpRenameFileEvent
      extends SftpEvent

  This event is fired when directory is deleted from server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SftpRenameFileEvent(Sftp source, java.lang.String oldFile, java.lang.String newFile, java.lang.String path)` Creates a new SftpRenameFileEvent instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(SftpListener listener)` The "backwards dispatching" support.
    `java.lang.String` | `getNewFile()` Gets new file name
    `java.lang.String` | `getOldFile()` Gets old file name
    `java.lang.String` | `getPath()` Gets remote directory path file was renamed from.

    - ### Methods inherited from class com.jscape.inet.sftp.events.SftpEvent

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SftpRenameFileEvent

          public SftpRenameFileEvent(Sftp source,
                                     java.lang.String oldFile,
                                     java.lang.String newFile,
                                     java.lang.String path)

      Creates a new SftpRenameFileEvent instance
      Parameters:
        `source` - the event source
        `oldFile` - the old file name
        `newFile` - the new file name

  - ### Method Detail

    - #### getOldFile

          public java.lang.String getOldFile()

      Gets old file name
      Returns:
        old file name

    - #### getNewFile

          public java.lang.String getNewFile()

      Gets new file name
      Returns:
        new file name

    - #### getPath

          public java.lang.String getPath()

      Gets remote directory path file was renamed from.
      Returns:
        remote directory path

    - #### accept

          public void accept(SftpListener listener)

      The "backwards dispatching" support.
      Specified by:
        `accept` in class `SftpEvent`
      Parameters:
        `listener` - the event listener

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved